AI Retake//
- 执行 AI Retake 任务。
执行 AI Retake人脸检测任务。
查询 AI Retake人脸检测任务的状态。
查询 AI Retake 任务的状态。
执行 AI Retake 任务。
AI 任务是异步处理的。功能支持 Webhook 时,优先用 Webhook 来接收完成通知。配置好您的 Webhook 端点、校验 Webhook 签名,收到 success 或 error 通知后,用收到的 task_id 查询任务结果。配置与校验的细节请见 Webhook 接入指南。
若功能不支持 Webhook,或您的接入方式用不了 Webhook,就请实现轮询。提交 AI 任务后,按固定间隔(例如每 10 秒)轮询状态接口,直到任务状态变为 success 或 error。
安全
BearerAuthenticationV2
Any of:
指定用哪一张参考人脸来替换用户照片上检测到的人脸。 第 n 项对应用户照片上从左到右数的第 n 张脸。 即使照片只有一张脸也必须提供;每张照片各一张脸时, 写 [{"index": 0, "position": 0}]。
示例:
[ { "index": 0, "position": 0 } ]
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/retake
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/retake \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"ref_file_urls": [
"https://example.com/accessory.jpg"
],
"face_mapping": [
{
"index": 0,
"position": 0
}
]
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }